Summary: Modern asynchronous API to the DNS
Name: getdns
Version: 0.1.0
Release: 1%{?dist}
License: BSD
Url: http://www.getdnsapi.net
Source: http://www.getdnsapi.net/dist/%{name}-%{version}.tar.gz
Patch1: getdns-0.1.0-makefile.patch
Group: System Environment/Libraries
BuildRequires: libidn-devel ldns-devel unbound-devel doxygen
# for snapshots only
# BuildRequires: libtool, autoconf, automake

%description
getdns is a modern asynchronous DNS API. It implements DNS entry points
from a design developed and vetted by application developers, in an API
specification edited by Paul Hoffman. With the development of this API,
we intend to offer application developers a modernized and flexible way
to access DNS security (DNSSEC) and other powerful new DNS features; a
particular hope is to inspire application developers towards innovative
security solutions in their applications.

%package devel
Summary: Development package that includes the header files
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The devel package contains the getdns library and the include files

%prep
%setup -q 
# To built svn snapshots
# rm config.guess config.sub ltmain.sh
# aclocal
# libtoolize -c --install
# autoreconf --install
%patch1 -p1


%build
%configure --disable-rpath --disable-static \
  --with-trust-anchor=/var/lib/unbound/root.key 
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} INSTALL="%{__install} -p" install 

rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}/{INSTALL,spec}

%files 
%{_libdir}/libgetdns*so.*
%doc README.md COPYING LICENSE NEWS AUTHORS ChangeLog

%files devel
%{_libdir}/libgetdns*so
%dir %{_includedir}/getdns
%{_includedir}/getdns/*.h
%{_mandir}/*/*.[1358]*
%doc src/example spec

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Thu Feb 27 2014 Paul Wouters <pwouters@redhat.com> - 0.1.0-1
- Initial package
